from math import*

def f(x):
    y=x**2-2
    return y
    
def g(x):
    y=(-1/2)*x+1
    return y
    
def h(x):
    y=abs(x-3)-2
    return y

def k(x):
    try :
        return 3/(x-2)
    except:
        reponse='Une erreur est survenue. Pourquoi?'
        return reponse


